Bug 1654627 - Qemu: hw: bt: keep bt/* objects from building [rhel-7.7]
Summary: Qemu: hw: bt: keep bt/* objects from building [rhel-7.7]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.7
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On:
Blocks: 1654651 1654883
TreeView+ depends on / blocked
 
Reported: 2018-11-29 09:44 UTC by Prasad J Pandit
Modified: 2019-08-06 12:42 UTC (History)
6 users (show)

Fixed In Version: qemu-kvm-1.5.3-162.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1654651 (view as bug list)
Environment:
Last Closed: 2019-08-06 12:41:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2078 None None None 2019-08-06 12:42:46 UTC

Description Prasad J Pandit 2018-11-29 09:44:20 UTC
qemu-kvm: bt: integer overflow in Bluetooth routines
  -> https://bugzilla.redhat.com/show_bug.cgi?id=1640545#c1

Recently qemu-kvm/hw/bt/* issues were closed as it turned out that Bluetooth system was not used. It also lead to it being deprecated upstream

  -> https://lists.gnu.org/archive/html/qemu-devel/2018-11/msg02069.html

Yet, hw/bt/* objects are built into RH qemu-kvm, qemu-kvm-rhev and qemu-kvm-ma instances

  hw/bt/core.o
  hw/bt/hci.o
  hw/bt/sdp.o
  hw/bt/hid.o
  hw/bt/hci-csr.o
  
This bug is to remove hw/bt/* objects from being built into qemu-kvm.

Comment 3 Miroslav Rezanina 2019-01-14 06:47:18 UTC
Fix included in qemu-kvm-1.5.3-162.el7

Comment 7 errata-xmlrpc 2019-08-06 12:41:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2078


Note You need to log in before you can comment on or make changes to this bug.